<template>
  <v-ons-page>
    <v-ons-toolbar>
      <div class="left">
        <v-ons-icon icon="ion-ios-arrow-back" size="lg" @click="redirect('/', {tab: 'wallet'})"></v-ons-icon>
      </div>
      <div class="center">Claim Coins</div>
      <div class="right">
        <v-ons-toolbar-button icon="ion-navicon"></v-ons-toolbar-button>
      </div>
    </v-ons-toolbar>

    <div class="import-account-container">
      <p class="claim-info">You can claim 10 coins every 24 hours.</p>
      <!-- <p id="username">{{ claminAmount }} Coins</p> -->
      <v-ons-button class="create-user-btn default-btn" @click="onClaim">Claim</v-ons-button>
    </div>
  </v-ons-page>
</template>

<script>
import Vue from 'vue'
import 'onsenui/css/onsenui.css'
import 'onsenui/css/onsen-css-components.css'
import VueOnsen from 'vue-onsenui/esm'
import OnsenComponents from '~/components/Onsen'
import ChatText from '~/components/ChatText'
import ChatInput from '~/components/ChatInput'
import VueQriously from 'vue-qriously'
import { mapGetters } from "vuex";
import utils from "../../assets/utils";

Vue.use(VueOnsen)
Vue.use(VueQriously)
Object.values(OnsenComponents).forEach((c) => Vue.component(c.name, c))

export default {
  data: function() {
    return {
      claminAmount: 12345
    }
  },
  computed: {
        ...mapGetters({
      getWallet: "wallet/getWallet",
      getAppState: "chat/getAppState"
    }),
  },
  methods: {
    redirect(url, option) {
      this.$router.push(url)
      if (url === '/' && option) {
      }
    },
    async onClaim() {
      let isSubmitted = await utils.claimTokens(this.getWallet.entry.keys)
      if(isSubmitted) this.$ons.notification.alert("Claim coin tx is submitted.");
    }
  }
}
</script>

<style>
.import-account-container {
  text-align: center;
  margin-top: 30px;
}
.username-input {
  margin-right: 5px;
}
.qr-code-btn {
  height: 40px;
  padding: 5px;
}
.secret-input-container {
  display: flex;
  justify-content: center;
  align-items: center;
}
#username {
  font-size: 18px;
  color: #333333;
  letter-spacing: -0.18px;
  text-align: center;
  line-height: 27px;
  margin: 20px;
  font-weight: bold;
}
.qr-code {
  margin-bottom: 20px;
}
.claim-info {
  margin: 20px auto;
}
</style>
